import { z } from 'zod';

/**
 * Schema Zod para validar um produto na busca.
 */
export const productSchema = z.object({
  id: z.number(),
  description: z.string(),
});

/**
 * Type para produto inferido do schema.
 */
export type Product = z.infer<typeof productSchema>;
